EvictionAttributesData (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.management, class: EvictionAttributesData

Package org.apache.geode.management

# Class EvictionAttributesData

java.lang.Object
org.apache.geode.management.EvictionAttributesData

public class EvictionAttributesData extends Object
Composite data type used to distribute the eviction attributes for a `Region`.

Since:
  GemFire 7.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EvictionAttributesData(String algorithm, Integer maximum, String action)`
  This constructor is to be used by internal JMX framework only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAction()`
  Returns the action that will be taken on entries that are evicted.
  `String`
  `getAlgorithm()`
  Returns the algorithm (policy) used to determine which entries will be evicted.
  `Integer`
  `getMaximum()`
  The unit of this value is determined by the definition of the `EvictionAlgorithm` set by one of the creation methods e.g.
  `String`
  `toString()`
  String representation of EvictionAttributesData

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EvictionAttributesData

    @ConstructorProperties({"algorithm","maximum","action"}) public EvictionAttributesData(String algorithm, Integer maximum, String action)
    This constructor is to be used by internal JMX framework only. User should not try to create an instance of this class.
    Parameters:
      `algorithm` - the algorithm (policy) used to determine which entries will be evicted
      `maximum` - maximum value used by the `EvictionAlgorithm` which determines when the `EvictionAction` is performed
      `action` - the action that will be taken on entries that are evicted

- ## Method Details

  - ### getAlgorithm

    public String getAlgorithm()
    Returns the algorithm (policy) used to determine which entries will be evicted.
    Returns:
      the algorithm (policy) used to determine which entries will be evicted

  - ### getMaximum

    public Integer getMaximum()
    The unit of this value is determined by the definition of the `EvictionAlgorithm` set by one of the creation methods e.g. `EvictionAttributes.createLRUEntryAttributes()` For algorithm LRU HEAP null will be returned
    Returns:
      maximum value used by the `EvictionAlgorithm` which determines when the `EvictionAction` is performed.

  - ### getAction

    public String getAction()
    Returns the action that will be taken on entries that are evicted.
    Returns:
      the action that will be taken on entries that are evicted

  - ### toString

    public String toString()
    String representation of EvictionAttributesData
    Overrides:
      `toString` in class `Object`